<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/09/2005 *
 * ===================                          Last change: 01/09/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_beg.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Setup beg link                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Bettel-Link einstellen                           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// Translate german decimal commas to computer decimal dots
	setPostRequestParameter('beg_points'      , convertCommaToDot(postRequestParameter('beg_points')      ));
	setPostRequestParameter('beg_points_max'  , convertCommaToDot(postRequestParameter('beg_points_max')  ));
	setPostRequestParameter('beg_notify_bonus', convertCommaToDot(postRequestParameter('beg_notify_bonus')));

	// Save settings
	adminSaveSettingsFromPostData();

	// Remember new settings
	setConfigEntry('beg_rallye'       , postRequestParameter('beg_rallye'));
	setConfigEntry('beg_ral_en_notify', postRequestParameter('beg_ral_en_notify'));
	setConfigEntry('beg_ral_di_notify', postRequestParameter('beg_ral_di_notify'));
} else {
	// Prepare constants for the template
	$content['points']           = translateComma(getConfig('beg_points')      , false);
	$content['points_max']       = translateComma(getConfig('beg_points_max')  , false);
	$content['notify_bonus']     = translateComma(getConfig('beg_notify_bonus'), false);
	$content['timeout']          = createTimeSelections(getConfig('beg_timeout')       , 'beg_timeout'       , 'Dhm');
	$content['userid_timeout']   = createTimeSelections(getConfig('beg_userid_timeout'), 'beg_userid_timeout', 'Dhm');
	$content['ip_timeout']       = createTimeSelections(getConfig('beg_ip_timeout')    , 'beg_ip_timeout'    , 'Dhm');
	$content['wait_selection']   = createTimeSelections(getConfig('beg_notify_wait')   , 'beg_notify_wait'   , 'ms' );

	// Init all Y/N selections
	foreach (array('rallye','activate','mode','ral_en_notify','ral_di_notify','new_mem_notify','include_own') as $entry) {
		$content[$entry . '_y'] = '';
		$content[$entry . '_n'] = '';
		$content[$entry . '_' . strtolower(getConfig('beg_' . $entry))] = ' checked="checked"';
	} // END - foreach

	// Init elements
	foreach (array('pay_mode_img','pay_mode_js','pay_mode_both','pay_mode_none') as $key) {
		$content[$entry]  = '';
	} // END - foreach

	// Set pay mode
	$content['pay_mode_'.strtolower(getConfig('beg_pay_mode'))] = ' selected="selected"';

	// Member selection box
	$content['member_selection'] = addMemberSelectionBox(getConfig('beg_userid'), false, true, true, 'beg_userid');

	// Load form template
	loadTemplate('admin_config_beg', false, $content);
}

// [EOF]
?>
